Bug 921563 - raddebug not working correctly
Summary: raddebug not working correctly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: freeradius
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nikolai Kondrashov
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-14 12:49 UTC by Lukas "krteknet" Novy
Modified: 2015-07-22 06:16 UTC (History)
6 users (show)

(edit)
The radiusd service could not write the output file created by the raddebug utility. The raddebug utility now sets appropriate ownership to the output file, allowing radiusd to write the output.
Clone Of:
(edit)
Last Closed: 2015-07-22 06:16:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1287 normal SHIPPED_LIVE Moderate: freeradius security, bug fix, and enhancement update 2015-07-20 17:48:53 UTC

Description Lukas "krteknet" Novy 2013-03-14 12:49:41 UTC
Description of problem:
raddebug utility from freeradius package allows capturing of debug output from a running server without (unlike radiusd -X) impacting service availability. Debugging output should be stored to a special logfile, using raddebug, this file is created, but debugging output never appears to make it there.

Version-Release number of selected component (if applicable):
freeradius-2.1.12-4.el6_3

How reproducible:
always

Steps to Reproduce:
1. Set the control socket mode to rw (raddb/sites-available/control-socket)
2. Start freeradius server without -X
3. Start raddebug (note: without -t parameter raddebug will exit and delete created debug file in 60 seconds)
4. Send request to freeradius (eg. radtest testuser testpwd localhost 0 testing123)
  
Actual results:
Debugging information is stored in /var/log/radius/radmin.debug.PID

Expected results:
File is empty

Additional info:

Comment 1 RHEL Product and Program Management 2013-03-14 12:50:09 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 2 Jean-Eudes ONFRAY 2013-03-29 09:50:29 UTC
The output file is not writable by radiusd.
In /usr/sbin/raddebug:96 we make it group writable but as it's run by root, default group is root, not radiusd. We should change group to radiusd as well.

Here's a patch:
--- raddebug.orig	2013-03-29 10:45:10.615000000 +0100
+++ /usr/sbin/raddebug	2013-03-29 10:47:29.015000000 +0100
@@ -93,6 +93,7 @@
 #  Truncate the file, and ensure it's writable by radiusd
 #
 cp /dev/null $outfile
+chgrp radiusd $outfile
 chmod g+w $outfile
 
 TAILPID=$$

Comment 3 Lukas "krteknet" Novy 2013-03-29 10:23:21 UTC
Great, thanks!

I made a pull request with this fix
https://github.com/FreeRADIUS/freeradius-server/pull/262

Comment 4 RHEL Product and Program Management 2013-10-13 23:48:50 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 10 errata-xmlrpc 2015-07-22 06:16:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1287.html


Note You need to log in before you can comment on or make changes to this bug.